<?php
/*
Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.1 - Last modified 2010-12-12
*/


// Load bootstrap
define('BOOT', 1);
require 'boot.php';


// Get custom cookie for draw settings
if (isset($_COOKIE['drawcfg'])) {
	$drawcfg = array();
	$drawtmp = preg_replace ("/[^a-zA-Z0-9s_=;]/", '', w_gpc('drawcfg', 'raw'));
	$pairs = explode(';', $drawtmp);
	for ($i = count($pairs); --$i >= 0;) {
		$keyvals = explode('=', $pairs[$i]);
		$drawcfg[$keyvals[0]] = $keyvals[1];
	}
}
if (!isset($drawcfg)) {
	$drawcfg = array('app'=>0, 'anim'=>0, 'close'=>1);
}


// Pictures folder locked?
if (!is_writable($cfg['op_pics'])) {
	report_err($langop_picfolocked);
}

// OekakiBBS present?
$oeb_exists = false;
if (file_exists('oekakibbs.jar')) {
	$oeb_exists = true;
}

// ChibiPaint present?
$chi_exists = false;
if (file_exists('chibipaint.jar')) {
	$chi_exists = true;
}


// Check GET: draw info
if (isset($_GET['Submit'])) {
	$app   = w_gpc('applet');
	$xsize = w_gpc('canvasx', 'i');
	$ysize = w_gpc('canvasy', 'i');

	$useapp = '';
	$datatype = 0;
	$app_params = '';

	switch ($app) {
		case 'paintbbs':
			$useapp = 'paintBBS.php';
			$drawcfg['app'] = 5;
			break;
		case 'notebbs':
			$useapp = 'noteBBS.php';
			$drawcfg['app'] = 4;
			break;
		case 'oekakibbs':
			$useapp = 'oekakiBBS.php';
			$datatype = 1;
			$drawcfg['app'] = 3;
			break;
		case 'shi':
			$useapp = 'shiBBS.php';
			$datatype = 2;
			$drawcfg['app'] = 0;
			break;
		case 'shipro':
			$useapp = 'shiBBS.php';
			$datatype = 3;
			$app_params = 'tools=pro&cursor=cursor&';
			$drawcfg['app'] = 1;
			break;
		case 'chibipaint':
			$useapp = 'chibipaint.php';
			$datatype = 4;
			$drawcfg['app'] = 2;
			break;
		default:
			all_done();
	}

	if ($xsize < $cfg['canvas_x']) $xsize == $cfg['min_x'];
	if ($ysize < $cfg['canvas_y']) $ysize == $cfg['min_y'];
	if ($xsize > $cfg['canvas_x']) $xsize == $cfg['canvas_x'];
	if ($ysize > $cfg['canvas_y']) $ysize == $cfg['canvas_y'];

	$extra_cgi = '';
	if (w_gpc('anim') == 'on') {
		$extra_cgi .= '&anim=1';
		$drawcfg['anim'] = 1;
	} else {
		$drawcfg['anim'] = 0;
	}
	if (w_gpc('noclose') == 'on') {
		$extra_cgi .= '&noclose=1';
		$drawcfg['close'] = 1;
	} else {
		$drawcfg['close'] = 0;
	}
	if ($datatype > 0) {
		$extra_cgi .= '&datatype='.$datatype;
	}

	// Set custom cookie for draw settings
	if (w_gpc('saveset')) {
		$drawtmp = array();
		foreach($drawcfg as $key => $val) {
			$drawtmp[] = $key.'='.$val;
		}
		$drawtmp = implode(';', $drawtmp);
		w_set_cookie('drawcfg', $drawtmp);
	}

	all_done($useapp.'?'.$app_params.'xcord='.$xsize.'&ycord='.$ysize.$extra_cgi);
}



// Start HTML
include 'header.php';


?>
<table width="90%" align="center" cellpadding="<?php echo $hCellPadding;?>">
<tr>
<td>
	<table width="100%" border="0" cellpadding="2" cellspacing="0">
	<tr>
	<td width="455" valign="top" class="header">
		<b><?php echo $langop_word_draw;?></b>
	</td>
	</tr>

	<tr>
	<td valign="top">
		<!-- Options -->
		<form action="draw.php" method="get">
			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;"><?php echo $langop_word_applet;?>:</h5>
			<p style="padding-left: 30pt;">
				<font color="#FFFFFF" size="-1">
<?php $ch = 'checked="checked" ';?>
					<input type="radio" name="applet" value="shi" <?php if($drawcfg['app']==0) echo $ch;?>/>Shi-Painter<br />
					<input type="radio" name="applet" value="shipro" <?php if($drawcfg['app']==1) echo $ch;?>/>Shi-Painter Pro<br />
<?php if ($chi_exists) { ?>
					<input type="radio" name="applet" value="chibipaint" <?php if($drawcfg['app']==2) echo $ch;?>/>Chibi Paint <?php echo $langop_draw_no_anim;?><br />
<?php } ?>
<?php if ($oeb_exists) { ?>
					<input type="radio" name="applet" value="oekakibbs" <?php if($drawcfg['app']==3) echo $ch;?>/>OekakiBBS<br />
<?php } ?>
					<input type="radio" name="applet" value="notebbs" <?php if($drawcfg['app']==4) echo $ch;?>/>PaintBBS<?php echo $langop_with_palette;?><br />
					<input type="radio" name="applet" value="paintbbs" <?php if($drawcfg['app']==5) echo $ch;?>/>PaintBBS<br />
				</font>
			</p>

			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;"><?php echo $langop_word_canvas;?> (<?php echo $langop_word_min;?>:&nbsp;<?php echo $cfg['min_x']?>&times;<?php echo $cfg['min_x']?>, <?php echo $langop_word_max;?>:&nbsp;<?php echo $cfg['canvas_x']?>&times;<?php echo $cfg['canvas_y']?>):</h5>
			<p style="padding-left: 30pt;">
				<font size="-1">
					<input id="previewWidth" class="txtinput" onblur="updatePreview(<?php echo $cfg['min_x']?>, <?php echo $cfg['min_y']?>, <?php echo $cfg['canvas_x']?>, <?php echo $cfg['canvas_y']?>);" name="canvasx" value="<?php echo $cfg['def_x']?>" size="4" />
				</font>
				&times;
				<font size="-1">
					<input id="previewHeight" class="txtinput" onblur="javascript: updatePreview(<?php echo $cfg['min_x']?>, <?php echo $cfg['min_y']?>, <?php echo $cfg['canvas_x']?>, <?php echo $cfg['canvas_y']?>);" name="canvasy" value="<?php echo $cfg['def_y']?>" size="4" />
				</font>
			</p>

<?php if ($flags['M']) { ?>
			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;">
				<input type="checkbox" name="anim" <?php if($drawcfg['anim']==1) echo $ch;?>/> <?php echo $langop_draw_anims_layers;?>
			</h5>
			<p style="padding-left: 30pt;">
				<font color="#FFFFFF" size="-1">
					<?php echo $langop_draw_combine_layers;?> 
				</font>
			</p>

<?php } ?>

			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;">
				<input type="checkbox" name="noclose" <?php if($drawcfg['close']==1) echo $ch;?>/> <?php echo $langop_draw_close_confirm;?>
			</h5>
			<p style="padding-left: 30pt;">
				<font color="#FFFFFF" size="-1">
					<?php echo $langop_draw_help_loss_pics;?> 
				</font>
			</p>

			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;">
				<input type="checkbox" name="saveset" <?php if(w_gpc('drawcfg')) echo $ch;?>/> <?php echo $langop_draw_remember_settings;?>
			</h5>


			<p style="padding-left: 30pt;">
				<font size="-1">
					<input type="submit" name="Submit" value="Submit" class="submit" />
				</font>
			</p>
		</form>
	</td>

	<!-- Preview -->
	<td valign="top" style="padding-left: 30pt;">
		<div style="text-align: center;">
			<img id="previewImage" src="<?php echo $cfg['preview_img']?>" width="<?php echo $cfg['def_x'];?>" height="<?php echo $cfg['def_y'];?>" alt="<?php echo $langop_canvasprev;?>" title="<?php echo $langop_canvasprev;?>" /><br />
			<?php echo $langop_canvasprev;?> 
		</div>
	</td>
	</tr>
	</table>
</td>
</tr>
</table>
<br />

<?php

include 'footer.php';