<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.9.0 - Last modified 2015-04-26
*/


/*
NOTES:
	if (image_jpeg === true):
	Compress level of 1-2 is archival, 4 starts showing artifacts.  3-4 recommended.  0 not recommended due to lossless JPEG (use PNG instead).  Anything over 10 not recommended except for thumbnails.  Max value may be 100 if you hate your artists.  :)

	if (image_jpeg === false):
	PaintBBS employs lossy PNG!  Level should be 0 if image_jpeg is false.  PaintBBS doesn't murder PNGs like ShiPainter, but still, lossy PNG is not pretty.

	if (new pic) {
		Send nothing to comment.php.
	} elseif (public edit by new artist) {
		Send import to comment.php.
	} else {
		send edit and import.
	}
*/


// Load bootstrap
define('BOOT', 1);
require 'boot.php';
require 'paintsave.php';

// Input
$xcord = w_gpc('xcord', 'i');
$ycord = w_gpc('ycord', 'i');
$anim  = w_gpc('anim', 'i');
$edit  = w_gpc('edit', 'i+');
$user_pass = ''; // Wacintaki only

// Init
$app_head     = ''; // Passed to save tool
$app_head_pw  = ''; // Added to $app_head
$app_url_exit = ''; // Params for index (comment)
$import       = ''; // Canvas number to import.  Passed to save tool
$app_import   = ''; // Canvas/anim filename to import (based on $anim)
$anim_type    = 'pch'; // Extension for animation


// Check Draw access
if (!$flags['D']) {
	report_err($langop_err_drawaccess);
}

// Check anim access
// If retouch, anim flag is ignored
if (!$flags['M']) {
	$anim = 0;
}


if ($edit) {
	// Get pic info
	$result = db_query("SELECT PIC_ID, usrname, animation, ptype FROM {$db_p}oekakidta WHERE PIC_ID='$edit'");
	$row = db_fetch_array($result);

	// Verify anim
	if ($row['animation'] == 1) {
		$anim = 1;
	} else {
		$anim = 0;
	}

	// Set up import (edit only)
	if ($anim) {
		$app_import = $p_pic.$edit.'.'.$anim_type;
	} else {
		$app_import = $p_pic.$edit.'.'.$row['ptype'];
	}

	$size = @GetImageSize($p_pic.$row['PIC_ID'].'.'.$row['ptype']);
	$xcord = $size[0];
	$ycord = $size[1];
}


// Verify that canvas sizes fit min/max
$xcord = fix_range($cfg['min_x'], $cfg['canvas_x'], $xcord);
$ycord = fix_range($cfg['min_y'], $cfg['canvas_y'], $ycord);


// Set applet area
{
	/* A bug in the Mac version of Java 1.5 requires hard-coded values, rather than CSS.  So, we set to a reasonable default, and grow the applet to fit the canvas. */

	// Typical viewable width of 800x600 browser is 740px.
	$xhack = 600; // Applet x (plus NoteBBS sidebar)
	$yhack = 550; // Applet y
	$xoverhead = 100 ; // Applet border/palette width
	$yoverhead = 35;

	if (DISABLE_APPLET_AREA_HACK) {
		$xhack = '100%';
		// $yhack = '90%'; // HTML quirks mode only
	} else {
		if ($xcord > ($xhack - $xoverhead))
			$xhack = $xcord + $xoverhead;
	}
	if ($ycord > ($yhack - $yoverhead))
		$yhack = $ycord + $yoverhead;
}


// Get filesize cutoff.  See notes above about compress_level
// APPLET_NO_JPEG is in hacks.php
$image_jpeg_value = (APPLET_NO_JPEG != 0) ? 'false' : 'true';
$image_compress = (APPLET_NO_JPEG != 0) ? '0' : '4';
$image_size_value = applet_image_size_param($xcord, $ycord);


// Set up applet header
if ($edit) {
	$app_head_mode = 'edit';
} elseif ($anim) {
	$app_head_mode = 'anim';
} else {
	$app_head_mode = 'norm';
}

$app_head = "mode={$app_head_mode};edittimes=".time().";uid={$OekakiID};vcode=".$OekakiPass;
if ($edit) {
	$app_head .= ";edit={$edit}";
}

// Set up applet exit
$app_url_exit = 'comment.php?mode=res_msg';
if ($edit) {
	$app_url_exit .= "&edit={$edit}";
}

// Wax Poteto fans seem to prefer the header
$no_banner = true;
$header_extra_metatags = "\t<script type=\"text/javascript\" src=\"noteBBS.js\">\n\t</script>\n";
if (w_gpc('noclose')) {
	$header_extra_script = "\t<script type=\"text/javascript\">\n\t\tnoBadClose();\n\t</script>\n";
}
require 'header.php';


?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<!-- Applet -->
<td width="79%" align="center">
	<applet id="paintbbs"
		code="pbbs.PaintBBS.class"
		archive="PaintBBS.jar"
		width="<?php echo $xhack;?>"
		height="<?php echo $yhack;?>">

		<!-- Disable Java DirectX support -->
		<param name="java_arguments" value="-Dsun.java2d.noddraw=true -Dsun.java2d.d3d=false" />

		<param name="image_width" value="<?php echo $xcord;?>" />
		<param name="image_height" value="<?php echo $ycord;?>" />

		<param name="image_jpeg" value="<?php echo $image_jpeg_value;?>" />
		<param name="image_size" value="<?php echo $image_size_value;?>" />
		<param name="compress_level" value="<?php echo $image_compress;?>" />

<?php if ($edit) { ?>
		<param name="image_canvas" value="<?php echo $app_import;?>" />
<?php } ?>
<?php if ($anim) { ?>
		<param name="thumbnail_type" value="animation" />
<?php } ?>
		<param name="url_save" value="paintbbsget.php" />
		<param name="url_exit" value="<?php echo w_html_chars($app_url_exit);?>" />
		<param name="url_target" value="_self" />

		<param name="undo" value="60" />
		<param name="undo_in_mg" value="12" />

		<param name="poo" value="false" />
		<param name="send_header" value="<?php echo w_html_chars($app_head);?>" />
		<param name="send_header_image_type" value="false" />

		<param name="image_bkcolor" value="#ffffff" />
		<param name="color_text" value="#505078" />
		<param name="color_bk" value="#9999bb" />
		<param name="color_bk2" value="#8888aa" />
		<param name="color_icon" value="#ccccff" />

		<param name="tool_advance" value="true" />
		<param name="send_advance" value="true" />
		<param name="send_language" value="utf8" />

		You need Java&trade; to run this applet.  <a href="http://www.java.com">Click here to download Java</a>.
	</applet>
</td>


<!-- Palette -->
<td width="21%">
	<table cellspacing="0" cellpadding="3" width="100%" align="right">
	<tr>
	<td>
		<b>Palette</b>
		<form name="Palette" action="post">
			<p>
				<input onclick="PaletteSave()" type="button" value="Set As Default Palette" name="button2" class="submit" />
				<br />
				<select onchange="setPalette()" name="select" size="14" class="multiline">
					<option selected="selected">Default</option>
					<option>Hadairo</option>
					<option>Red</option>
					<option>Yellow</option>
					<option>Green</option>
					<option>Blue</option>
					<option>Purple</option>
					<option>Brown</option>
					<option>Character</option>
					<option>Pastel</option>
					<option>Sougen</option>
					<option>Moe</option>
					<option>Grayscale</option>
					<option>Main</option>
				</select>
				<br />

				<input class="submit" onclick="PaletteNew()" type="button" value="Save Palette" name="button" />
				<br />
				<input class="submit" onclick="PaletteRenew()" type="button" value="Save Color Changes" name="button" />
				<br />
				<input class="submit" onclick="PaletteDel()" type="button" value="Delete Palette" name="button" />
				<br />
				<input class="submit" onclick="P_Effect(10)" type="button" value="Brighten" name="button" />
				<br />
				<input class="submit" onclick="P_Effect(-10)" type="button" value="Darken" name="button" />
				<br />
				<input class="submit" onclick="P_Effect(255)" type="button" value="Invert" name="button" />
				<br />
				<br />

				<b>Palette Minipulate/Create</b>
				<br />
				<br />

				<select class="submit" name="m_m">
					<option value="0" selected="selected">Replace all palettes</option>
					<option value="1">Replace active palette</option>
					<option value="2">Append palette</option>
				</select>
				<br />

				<input class="submit" onclick="PaletteMatrixGet();" type="button" value="Get" name="m_g" />
				<input class="submit" onclick="PalleteMatrixSet();" type="button" value="Set" name="m_s" />
				<br />

				<textarea class="multiline" onmouseover="this.select()" name="setr" rows="3" cols="13"></textarea>
				<br />
			</p>
		</form>

		<form name="grad" action="post">
			<b>Gradation</b>
			<br />

			<input class="submit" onclick="GetPalette();" type="button" value="Get" />
			<input class="submit" onclick="ChengeGrad();" type="button" value="Set" />
			<br />

			<select id="grad_start" class="txtinput" onchange="GetPalette();" name="p_st">
				<option selected="selected">1 &nbsp; &nbsp; &nbsp; &nbsp; </option>
				<option>2</option>
				<option>3</option>
				<option>4</option>
				<option>5</option>
				<option>6</option>
				<option>7</option>
				<option>8</option>
				<option>9</option>
				<option>10</option>
				<option>11</option>
				<option>12</option>
				<option>13</option>
				<option>14</option>
			</select>
			<input class="txtinput" onkeypress="Chenge_();" onchange="Chenge_();" size="8" name="pst" />
			<br />

			<select id="grad_end" class="txtinput" onchange="GetPalette();" name="p_ed">
				<option>1 &nbsp; &nbsp; &nbsp; &nbsp; </option>
				<option>2</option>
				<option>3</option>
				<option>4</option>
				<option>5</option>
				<option>6</option>
				<option>7</option>
				<option>8</option>
				<option>9</option>
				<option>10</option>
				<option>11</option>
				<option selected="selected">12</option>
				<option>13</option>
				<option>14</option>
			</select>
			<input class="txtinput" onkeypress="Chenge_()" onchange="Chenge_()" size="8" name="ped" />

			<div id="psft" style="z-index: 5; left: 5px; width: 100px; position: absolute; top: 100px; height: 30px"></div>
			<br />

		</form>
	</td>
	</tr>
	</table>
</td>
</tr>
</table>
<br />


<p style="text-align: center;">
	<input onclick="maximize_app('paintbbs');" type="button" value="<?php echo $langop_resizeapplet;?>" class="submit" />
</p>


<p style="text-align: center;">
	<input onclick="size_app('paintbbs');" type="button" value="<?php echo $langop_resize_to_this;?>" class="submit" />
	X:<input id="button_x" type="text" size="3" value="<?php echo $xhack;?>" class="txtinput" />
	Y:<input id="button_y" type="text" size="3" value="<?php echo $yhack;?>" class="txtinput" />
</p>


<?php if (!$edit) { ?>
<form name="formResize" method="get" action="<?php echo $_SERVER['PHP_SELF'];?>">
	<table width="50%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
<!-- Refresh warning on anim retouch
	<tr>
	<td colspan="2" height="11"><?php echo $langop_applet_retouch;?></td>
	</tr>
-->
	<tr>
	<td colspan="2" height="11">
		<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" class="header">
		<tr>
		<td align="center">
			<font size="-2">
				<?php echo $langop_applet_modify;?> 
				(<?php echo $langop_applet_max;?> <?php echo $cfg['canvas_x'];?> &times; <?php echo $cfg['canvas_y'];?>)
			</font>
		</td>
		</tr>
		</table>
	</td>
	</tr>

	<tr>
	<td width="28%">
		<div align="right">
			<font size="-2">X</font>:
		</div>
	</td>
	<td width="72%">
		<font size="-2">
			<input type="text" name="xcord" value="<?php echo $xcord;?>" class="txtinput" />
		</font>
	</td>
	</tr>

	<tr>
	<td width="28%">
		<div align="right">
			<font size="-2">Y:</font>
		</div>
	</td>
	<td width="72%">
		<font size="-2">
			<input type="text" name="ycord" value="<?php echo $ycord;?>" class="txtinput" />
		</font>
	</td>
	</tr>

	<tr>
	<td></td>
	<td>
		<font size="-2">
			<input type="submit" name="Submit" value="<?php echo $langop_word_modify;?>" class="submit" />
		</font>
	</td>
	</tr>
	</table>

<?php if ($edit) { ?>
	<input type="hidden" name="edit" value="<?php echo $edit;?>" />
<?php } ?>
<?php if ($anim) { ?>
	<input type="hidden" name="anim" value="<?php echo $anim;?>" />
<?php } ?>
<?php if (w_gpc('noclose')) { ?>
	<input type="hidden" name="noclose" value="1" />
<?php } ?>
</form>
<?php } ?>
<br />

<?php

include 'footer.php';